
# Notenik To Do List

*Generated on Saturday, April 20, 2024*

## 100 [YAML Fields Issue](https://discourse.notenik.app/t/yaml-fields-issue/313/9?u=hbowie)

<p>Here I’ll point out a specific issue regarding YAML metadata parsing in Notenik. I have a folder in Notenik where I autmatically add my Kindle annotations. For this purpose I use kindle plugin for Obsidian. This plugin has a customizable template for a great control over added YAML metadata. My current issue is the plugin autmatically insert some other metadata for proper syncing between the Kindle and the designated folder. </p>


## 101 [Bulk Edit a Set of Notes](https://discourse.notenik.app/t/notenik-next-steps/432/6)

<p>I often find myself wanting to organize just a small subset of notes in Notenik - for instance notes related to a particular lecture of a course that I am teaching. There are ways of doing this now, assigning a rank or class or tag and sorting the collection by rank + sequence or tags + sequence. It would be nice if one could bulk edit a set of notes and assign them a particular rank or add a tag. Again, there are workarounds which involve using an Obsidian plugin for bulk editing tags, but it would be a nice feature to have. </p>


## 102 [Ability to Lock a Collection](https://discourse.notenik.app/t/notenik-next-steps/432/4)

<p>Think about users being able to “lock” a collection, in the same way that Knowledge base is locked, or to lock notes to prevent inadvertent change. </p>


## 103 [Ability to Lock the Template for a Collection](https://discourse.notenik.app/t/notenik-next-steps/432/4)

<p>What about being able to lock the template to prevent modification? Users can add/edit/delete notes but not mess with the innards. </p>


## 104 [Add a CSS field type]()

<p>CSS entered in this field would be applied to display or page generation of a specific Note. </p>


## 105 [Auto-Generate Titles]()

<p>Provide an option to generate a Note Title from the leading characters of the Note&#8217;s body. </p>


## 106 [Chinese Translation](https://discourse.notenik.app/t/initial-impressions-and-feedback-on-notenik/457)

<p>I realize that Notenik seems more powerful than it appears, but the English interface is too challenging for me. I have to screenshot and then use MacOS’s built-in translation feature to translate each item individually. I simply cannot understand every feature. </p>

<p>It would be fantastic if a Chinese interface could be provided. I understand that translating text is a tedious and complex process. If possible, could you tell me what I can do? For example, I could translate these texts, and then you could incorporate them into the code. Is this feasible? </p>


## 107 [The Display Tab should have a default stylish layout](https://discourse.notenik.app/t/initial-impressions-and-feedback-on-notenik/457)

<p>The default interface lacks any design, although customization is available. For those of us who are not familiar with programming or CSS, creating a preferred style is challenging. With the help of ChatGPT, I managed to add two simple properties: <code>width: 80%; margin: 0 auto; margin-top: 8%;</code>. Without ChatGPT, I might have been stuck with the default, lackluster interface. </p>

<p>I believe that alongside providing customization options, there should be a default, attractive interface to cater to ordinary users. </p>


## 107.1 [Provide a variety of style sheets](https://discourse.notenik.app/t/notenik-next-steps/432/4)

<p>Provide a variety of style sheets, so the user can modify the appearance without having to know any CSS. </p>


## 108 [Distribution and Sharing via Images](https://discourse.notenik.app/t/initial-impressions-and-feedback-on-notenik/457)

<p>I see that Notenik supports most formats and export methods. I’m curious if there are plans to support exporting to image formats in the future. </p>

<p>I frequently use images for sharing in my daily life because I find that PDF or HTML files are not as intuitive. Especially for non-technical individuals who may not even know what PDF or HTML is. </p>

<p>Additionally, I’m not sure if you use Pandoc, but it seems like a good project. </p>


## 109 [Easier Onboarding for New Users](https://discourse.notenik.app/t/notenik-next-steps/432/4)

<p>Provide more out of the box experience. (The template collections are great.) Users want to be able to start at pace, so think about how new users can be on-boarded (as they say). </p>


## 109.1 [Faster Setup for Simple Notes Collection](https://discourse.notenik.app/t/notenik-next-steps/432/10)




## 110 [Editing Experience](https://discourse.notenik.app/t/initial-impressions-and-feedback-on-notenik/457)

<p>I’ve reviewed the opinions on the forum and your explanations regarding this matter. It seems you advocate for using external editors for writing. However, I wrote this piece using Notenik’s default editing interface. </p>

<p>The GUI interface for metadata seems to occupy almost half of the space. If it could automatically hide or collapse after filling out the metadata, leaving the interface entirely for the body text, the editing experience would greatly improve. </p>

<p>I have a preliminary idea: after completing the metadata, could two buttons be provided for users to choose: </p>
<ul>
<li>The first button, selecting the default editing interface, automatically collapses the GUI portion of the metadata. </li>
<li>The second button, opting for a custom third-party editor. Of course, there might be better solutions. </li>
</ul>



## 110.1 [Separate Metadata Inspector Panel](https://discourse.notenik.app/t/notenik-next-steps/432/10)

<p>On the subject of metadata, I would like to see the app incorporate an inspector panel to the right of the screen to hold all of the metadata (with the obvious exception of body). This could be toggled into/out of view by the user. The main panel would therefore simply be the body text in either Edit or Preview views. I think that would give a much cleaner view and be more inline with other apps - perhaps making it an easier transition for new users. </p>


## 111 [Edit Interface](https://discourse.notenik.app/t/initial-impressions-and-feedback-on-notenik/457)

<p>Similarly, the spacing on both sides of the Edit Tab seems too narrow. A slight centering might enhance the experience. Of course, this is merely a personal aesthetic preference, as everyone’s understanding of beauty differs. </p>


## 112 [Expand publishing options](https://discourse.notenik.app/t/notenik-next-steps/432/4?u=hbowie)

<p>Provide publishing portals, just as you do for Medium, for other publishing platforms. Imagine being able to publish a note to Tik-tok, Instagram, FaceBook, Twitter, Post, BlueSky, Medium, WordPress, Blogger, etc, just by checking boxes. </p>


## 113 [Have a collection developer mode](https://discourse.notenik.app/t/notenik-next-steps/432/4)

<p>Have a “collection developer” mode. A UI for creating the fields, such as the database creator UI in AppleWorks. </p>


## 114 [Improved Outlining Commands](https://discourse.notenik.app/t/notenik-next-steps/432/8)

<p>Nearly all my collections are set up as outlines. </p>

<p>I’ve just about gotten used to rearranging notes when needed, but it does require being extra careful to not put a bunch of notes into the wrong sequence, as it is really difficult to get back to a previous state, as there is no undo. </p>

<p>This is probably out of the scope of Notenik and into full-blown Outliner territory, but I would love keyboard shortcuts like these: </p>
<ul>
<li>Move Right </li>
<li>Move Left </li>
<li>Move Up </li>
<li>Move Down </li>
</ul>

<p>And the sequence number to arrange themselves automatically. Which the <code>Modify Seq…</code> context menu partly does. </p>

<p>Drag and dropping notes is too bit finicky for my fingers, especially on a laptop, and doesn’t change the sequence numbers. </p>


## 115 [Integrate with Apple Ecosystem](https://discourse.notenik.app/t/notenik-next-steps/432/4?u=hbowie)

<p>ntegrate more tightly with the eco-system. The UI could offer tools, such as an boolean check box, to push to the appropriate SQLite db. Or to pull from those DBs into Notenik. </p>
<ul>
<li>Events ↔ Calendar. </li>
<li>To-dos ↔ Reminders. </li>
<li>Contacts ↔ Contacts. </li>
</ul>



## 116 [Provide a variety of HTML templates](https://discourse.notenik.app/t/notenik-next-steps/432/4)

<p>Provide a variety of HTML templates for presenting collections. </p>


## 117 [Toolbar Icons](https://discourse.notenik.app/t/initial-impressions-and-feedback-on-notenik/457)

<p>I noticed that the icons in the toolbar seem inconsistent. They vary in size and color. I’m unsure why they are like this—was it intentional or due to other reasons? </p>

<p>If possible, I’d be willing to help find completely free and commercially usable icons or do some simple design work. </p>


## 118 [Untagged Notes on Tabs Tab](https://discourse.notenik.app/t/tags-list-showing-notes-without-any-tag/460/3)

<p>If there are a lot of untagged notes, then it can make it difficult to actually see the tags. </p>

<p>On the other hand, it can be handy to see notes that might have missed being tagged. </p>

<p>Possible improvements: </p>
<ul>
<li><p>Move them to the end? </p></li>
<li><p>Or give them a pseudo-tag of <em>untagged</em> which would appear at the top of the list, so they could be hidden? </p></li>
</ul>




